diff a/src/java.base/share/classes/java/util/concurrent/ForkJoinPool.java b/src/java.base/share/classes/java/util/concurrent/ForkJoinPool.java
--- a/src/java.base/share/classes/java/util/concurrent/ForkJoinPool.java
+++ b/src/java.base/share/classes/java/util/concurrent/ForkJoinPool.java
@@ -4392,11 +4392,11 @@
         int scale = U.arrayIndexScale(aklass);
         ASHIFT = 31 - Integer.numberOfLeadingZeros(scale);
         if ((scale & (scale - 1)) != 0)
             throw new Error("array index scale not a power of two");
 
-        Class<?> dep = LockSupport.class; // ensure loaded
+        U.ensureClassInitialized(LockSupport.class); // ensure loaded and initialized
         // allow access to non-public methods
         JLA = SharedSecrets.getJavaLangAccess();
         SharedSecrets.setJavaUtilConcurrentFJPAccess(
             new JavaUtilConcurrentFJPAccess() {
                 @Override
